# Git Tracker

Git Tracker is a powerful tool designed to aggregate and export git logs, providing valuable insights into your development process.

## Features

- Aggregate git logs from multiple repositories
- Export git logs in various formats
- Analyze commit patterns and developer contributions
- Integration with AI models for advanced insights

## Installation

You can install Git Tracker using pipx:

```bash
pipx install git-tracker
```

## Usage

After installation, you can run Git Tracker from anywhere in your terminal:

```bash
git-tracker [OPTIONS] COMMAND [ARGS]...
```

For a list of available commands and options, use:

```bash
git-tracker --help
```

## Development

To set up the development environment:

1. Clone the repository:

   ```bash
   git clone https://github.com/JacobFV/git-tracker.git
   cd git-tracker
   ```

2. Install Poetry if you haven't already:

   ```bash
   pip install poetry
   ```

3. Install dependencies:

   ```bash
   poetry install
   ```

4. Activate the virtual environment:

   ```bash
   poetry shell
   ```

## Contributing

Contributions are welcome! Please feel free to submit a Pull Request.

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.

## Author

Jacob Valdez <jacobfv123@gmail.com>
